RTEMS: _rtems_rfs_file_shared Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
_rtems_rfs_file_shared Struct Reference

`#include <rtems-rfs-file.h>`

## Data Fields
rtems_chain_node | link
int | references
rtems_rfs_inode_handle | inode
rtems_rfs_block_map | map
rtems_rfs_block_size | size
rtems_rfs_time | atime
rtems_rfs_time | mtime
rtems_rfs_time | ctime
rtems_rfs_file_system * | fs

## Detailed Description

File data that is shared by various file handles accessing the same file. We hold various inode values common to the file that can change frequently so the inode is not thrashed yet we meet the requirements of the POSIX standard. The stat call needs to check the shared file data.

## Field Documentation

## ◆ atime

rtems_rfs_time _rtems_rfs_file_shared::atime

The access time. The last time the file was read.

## ◆ ctime

rtems_rfs_time _rtems_rfs_file_shared::ctime

The change time. The last time the inode was written too.

## ◆ fs

rtems_rfs_file_system* _rtems_rfs_file_shared::fs

Hold a pointer to the file system data so users can take the handle and use it without the needing to hold the file system data pointer.

## ◆ inode

rtems_rfs_inode_handle _rtems_rfs_file_shared::inode

The inode for the file.

## ◆ link

rtems_chain_node _rtems_rfs_file_shared::link

The shared parts are maintained as a list.

## ◆ map

rtems_rfs_block_map _rtems_rfs_file_shared::map

The block map for the file. The handle holds the file's position not the map.

## ◆ mtime

rtems_rfs_time _rtems_rfs_file_shared::mtime

The modified time. The last time the file was written too.

## ◆ references

int _rtems_rfs_file_shared::references

Reference count the users of this data.

## ◆ size

rtems_rfs_block_size _rtems_rfs_file_shared::size

The size of the file as taken from the inode. The map's size and this size should be the same.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/rfs/rtems-rfs-file.h